OFB_Mode_ExternalCipher Struct Reference

OFB mode, external cipher. More...

`#include <modes.h>`

Inheritance diagram for OFB_Mode_ExternalCipher:

## Public Types

typedef CipherModeFinalTemplate_ExternalCipher< ConcretePolicyHolder< Empty, AdditiveCipherTemplate< AbstractPolicyHolder< AdditiveCipherAbstractPolicy, OFB_ModePolicy > > > > | Encryption
typedef Encryption | Decryption

## Detailed Description

OFB mode, external cipher.

Definition at line 336 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h